Fop (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.apps

## Class Fop

- java.lang.Object
- - org.apache.fop.apps.Fop

-     public class Fop
      extends java.lang.Object

  Primary class that activates the FOP process for embedded usage.

  JAXP is the standard method of embedding FOP in Java programs. Please check our embedding page for samples (these are also available within the distribution in FOP_DIR\examples\embedding)

  Methods within FOUserAgent are available to customize portions of the process. For example, a specific Renderer object can be specified, also ElementMappings which determine elements in the FO that can be processed) can be added.

  At the moment, it is recommended not to reuse an instance of this class for more than one rendering run.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.xml.sax.helpers.DefaultHandler` | `getDefaultHandler()` Returns the DefaultHandler object that will receive the SAX stream containing the FO document to be rendered.
    `FormattingResults` | `getResults()` Returns the results of the rendering process.
    `FOUserAgent` | `getUserAgent()` Deprecated. this getter doesn't need to exist. By virtue of the fact that the client has an instance of this object, it means they also have the `FOUserAgent` since this's constructor is only used in `FOUserAgent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getUserAgent

          public FOUserAgent getUserAgent()

      Deprecated. this getter doesn't need to exist. By virtue of the fact that the client has an instance of this object, it means they also have the `FOUserAgent` since this's constructor is only used in `FOUserAgent`
      Get the FOUserAgent instance associated with the rendering run represented by this instance.
      Returns:
        the user agent

    - #### getDefaultHandler

          public org.xml.sax.helpers.DefaultHandler getDefaultHandler()
                                                               throws FOPException

      Returns the DefaultHandler object that will receive the SAX stream containing the FO document to be rendered.
      Returns:
        the SAX DefaultHandler for handling the SAX events.
      Throws:
        `FOPException` - if setting up the DefaultHandler fails

    - #### getResults

          public FormattingResults getResults()

      Returns the results of the rendering process. Information includes the total number of pages generated and the number of pages per page-sequence. Call this method only after the rendering process is finished. Note that the results are only available for output formats which make use of FOP's layout engine (PDF, PS, etc.).
      Returns:
        the results of the rendering process, or null for flow-oriented output formats like RTF and MIF.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.